[PATCH v1 3/5] qemu: Print error logs on unit test failure

Nicolas Dufresne nicolas at ndufresne.ca
Thu Mar 7 23:18:08 CET 2024


From: Nicolas Dufresne <nicolas.dufresne at collabora.com>

The error logs very often holds the information needed to fix the
failure, don't hide it.

Signed-off-by: Nicolas Dufresne <nicolas.dufresne at collabora.com>
---
 .gitlab-ci/test-libcamera-qemu.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/.gitlab-ci/test-libcamera-qemu.sh b/.gitlab-ci/test-libcamera-qemu.sh
index 068f2ff..f9de5ab 100755
--- a/.gitlab-ci/test-libcamera-qemu.sh
+++ b/.gitlab-ci/test-libcamera-qemu.sh
@@ -26,7 +26,7 @@ libcamera_unit_test() {
 	virtme-ng --verbose --skip-modules --force-9p \
 		--rwdir "$PWD/build" \
 		--run /opt/linux/bzImage \
-		--exec "meson test -C build --no-rebuild ; echo \\\$? > build/.test-status"
+		--exec "meson test -C build --no-rebuild --print-errorlogs; echo \\\$? > build/.test-status"
 
 	local status=$(cat build/.test-status)
 	echo "Test result exit state: $status"
-- 
2.43.2



More information about the libcamera-devel mailing list